Package ghidra.app.util.bin.format.macho.dyld

# Class DyldSubcacheEntry

java.lang.Object
ghidra.app.util.bin.format.macho.dyld.DyldSubcacheEntry

All Implemented Interfaces:
  `StructConverter`

public class DyldSubcacheEntry extends Object implements StructConverter
Represents a dyld_subcache_entry structure.

See Also:
  - dyld_cache_format.h

- ## Field Summary

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DyldSubcacheEntry(BinaryReader reader)`
  Create a new `DyldSubcacheEntry`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCacheExtension()`
  Gets the extension of this subCache, if it is known
  `long`
  `getCacheVMOffset()`
  Gets the offset of this subCache from the main cache base address
  `String`
  `getUuid()`
  Gets the UUID of the subCache file
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DyldSubcacheEntry

    public DyldSubcacheEntry(BinaryReader reader) throws IOException
    Create a new `DyldSubcacheEntry`.
    Parameters:
      `reader` - A `BinaryReader` positioned at the start of a DYLD subCache entry
    Throws:
      `IOException` - if there was an IO-related problem creating the DYLD subCache entry

- ## Method Details

  - ### getUuid

    public String getUuid()
    Gets the UUID of the subCache file
    Returns:
      The UUID of the subCache file

  - ### getCacheVMOffset

    public long getCacheVMOffset()
    Gets the offset of this subCache from the main cache base address
    Returns:
      The offset of this subCache from the main cache base address

  - ### getCacheExtension

    public String getCacheExtension()
    Gets the extension of this subCache, if it is known
    Returns:
      The extension of this subCache, or null if it is not known

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException` - if an IO-related error occurs
    See Also:
      - `StructureDataType`